- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
min
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Numeric functions

Minimum of two inputs. More...

## Functions
AFAPI af_err | af_minof (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface for min of two arrays. More...
AFAPI array | min (const array &lhs, const array &rhs)
| C++ interface for min of two arrays. More...
AFAPI array | min (const array &lhs, const double rhs)
| C++ interface for min of two arrays. More...
AFAPI array | min (const double lhs, const array &rhs)
| C++ interface for min of two arrays. More...

## Detailed Description

Minimum of two inputs.

## Function Documentation

AFAPI af_err af_minof | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch
| ) |  |

C Interface for min of two arrays.

Parameters

  [out] | out | will contain minimum of `lhs` and `rhs`
  [in] | lhs | first input
  [in] | rhs | second input
  [in] | batch | specifies if operations need to be performed in batch mode

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::min | ( | const array & | lhs,
|  | const array & | rhs
| ) |  |

C++ interface for min of two arrays.

Parameters

  [in] | lhs | first input
  [in] | rhs | second input

Returns
  minimum of `lhs` and `rhs`

AFAPI array af::min | ( | const array & | lhs,
|  | const double | rhs
| ) |  |

C++ interface for min of two arrays.

Parameters

  [in] | lhs | first input
  [in] | rhs | second input

Returns
  minimum of `lhs` and `rhs`

AFAPI array af::min | ( | const double | lhs,
|  | const array & | rhs
| ) |  |

C++ interface for min of two arrays.

Parameters

  [in] | lhs | first input
  [in] | rhs | second input

Returns
  minimum of `lhs` and `rhs`